### Virtual Method

# Gtk TreeModelget_flags

deprecated: 4.10

#### Declaration [src]

    GtkTreeModelFlags
    get_flags (
      GtkTreeModel* tree_model
    )

#### Description [src]

Returns a set of flags supported by this interface.

The flags are a bitwise combination of `GtkTreeModel`Flags. The flags supported should not change during the lifetime of the `tree_model`.

Deprecated since: 4.10

Please do not use it in newly written code.

#### Return value

Type: `GtkTreeModelFlags`

The flags supported by this interface.